<?php
/**************************************************
  Coppermine 1.5.x Plugin - autorotate
  
  Automatically rotate a picture based on EXIF 
  orientation data during upload.
  
  Probably the most trivial useful plugin in the world
  
  Jack 2014
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

$thisplugin->add_action ( "upload_html_pre_move", "autorotate_rotate_image" );

function autorotate_rotate_image() {
	global $CONFIG;

	$superCage = Inspekt::makeSuperCage ();
	$filename  = $superCage->files->getRaw ( "/userpicture/tmp_name" );

	if (isset ( $CONFIG ['impath'] )) {
		if ($superCage->env->getMatched ( 'OS', '/win/i' )) {
			$cmd = "\"" . str_replace ( "\\", "/", $CONFIG ['impath'] ) . "mogrify\" -auto-orient " . str_replace ( "\\", "/", $filename );
			exec ( "\"$cmd\"", $output, $retval );
		} else {
			$cmd = "{$CONFIG['impath']}mogrify -auto-orient " . str_replace ( "\\", "/", $filename );
			exec ( $cmd, $output, $retval );
		}
	}
}

?>