<?php
/**************************************************
  Coppermine 1.5.x Plugin - autorotate
  
  Automatically rotate a picture based on EXIF 
  orientation data during upload.
  
  Probably the most trivial useful plugin in the world
  
  Jack 2014
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

require "./plugins/autorotate/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/autorotate/lang/{$CONFIG['lang']}.php")) {
    require "./plugins/autorotate/lang/{$CONFIG['lang']}.php";
}

$name = $lang_plugin_autorotate['plugin_name'];
$description = $lang_plugin_autorotate['plugin_description'];
$author = 'Jack';
$version = '1.0';
$plugin_cpg_version = array('min' => '1.5');
?>